Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl

<DefaultClassOptions()>
<DefaultProperty("ShortName")>
<NavigationItem(False)>
<CreatableItem(False)>
Public Class GIROInfo
    Inherits BaseObject

    Private _GIROID As String
    Private _ShortName As String
    Private _Address As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Property GIROID As String
        Get
            Return _GIROID
        End Get
        Set(value As String)
            SetPropertyValue("GIROID", _GIROID, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Address As String
        Get
            Return _Address
        End Get
        Set(value As String)
            SetPropertyValue("Address", _Address, value)
        End Set
    End Property
End Class
